<?php
/********************************************

func.get_proxies.php

info:       for Proxy Checker
date:       2006.05.24
author:     Igor Shatokhin (igshat@gawab.com)

*********************************************/

//
// FILTER FOR PROXIES ARRAY
// $db          : instance of the database class
// $tbl_name    : proxies table name
// $p           : parameters array
// $add         : string will be added to SQL-query
// Return array with proxies
//
function get_proxies($db, $tbl_name, $p=array(), $add='') {
    $sql = "SELECT * FROM `".$tbl_name."` WHERE 1 ";
    foreach($p as $k=>$v) {
        switch($k) {
        case 'port':
            if($v) {
                $v = preg_replace("/\s+/","",$v);
                $ports = explode(',', $v);
                foreach($ports as $pk=>$pv) $ports[$pk] = "port='".intval($pv)."'";
                $sql .= ' AND('.implode(' OR ', $ports).') ';
            }
            break;
        case 'country':
        case 'country_code':
            if($v) {
                $v = preg_replace("/\s+/","",$v);
                $countries = explode(',', $v);
                foreach($countries as $pk=>$pv) $countries[$pk] = "country_code='".$pv."'";
                $sql .= ' AND('.implode(' OR ', $countries).') ';
            }
            break;
        case 'work':
        case 'post':
        case 'ref':
        case 'cookies':
            if($v) $sql .= " AND `".$k."`='".intval($v)."' ";
            break;
        case 'anon':
        case 'date':
            if($v) $sql .= " AND `".$k."`>='".$v."' ";
            break;
        case 'contime':
        case 'time':
            if($v) $sql .= " AND `".$k."`<='".doubleval($v)."' ";
            break;
        case 'fresh':
            $sec = intval($v) * 60;
            if($sec) $sql .= " AND UNIX_TIMESTAMP(date)>(UNIX_TIMESTAMP()-".$sec.") ";
            break;
        }
    }
    $sql .= " ".$add;
    $res = $db->sql2array($sql);
    if($db->error()) die($db->error());
    return $res;
}


?>
