<?php
/********************************************

func.parser.php

info:       parse functions
date:       2006.06.12
author:     Igor Shatokhin
            ICQ:    137-908-479
            E-mail: igshat@gawab.com

*********************************************/

//
// TEST TWO URL'S FOR SIMILAR
//
function is_similar_url($url1, $url2)
{
    $base1 = preg_replace("<^(http://www\.|http://)([^/]+).*>i", "$2", $url1);
    $base2 = preg_replace("<^(http://www\.|http://)([^/]+).*>i", "$2", $url2);
    return ($base1==$base2);
}

//
// GET PATH FROM URL
//
function get_url_path($url) {
    if( !preg_match("<^[a-z]{3,6}://(.+/|[^/]*$)>i", $url, $match) ) return false;
    return preg_replace("|^.+[^/]$|", "$0/" ,$match[0]);
}

//
// DETACH ABSOLUTE ANCHORS FROM HTML CONTENT
//
function detach_links($content)
{
    $links = array();
    if( preg_match_all("|<a\s[^>]*?href\s*=\s*[\'\"]?(\w{2,6}://[^\s\'\">]+)[\s\'\"]?[^>]*?>(.+?)</a>|si", $content, $match, PREG_SET_ORDER) )
        foreach($match as $val)
        {
            array_push($links, array(
                                'href' => $val[1],
                                'title' => $val[2],
                                'all'=>$val[0]  ) );
        }
    return $links;
}

//
// DETACH IP OR DOMAINS WITH PORT
//
function detach_addresses($content)
{
    $res = preg_match_all("<(?:\d{1,3}\.\d{1,3}\.\d{1,3}\.\d{1,3}(?:\:\d{2,5}|)|[\w\-\%\.]+\.[\w\-\%]+\:\d{2,5})>i", $content, $m);
    return $res ? $m[0] : $res;
}

//
// REPLACE ENTITIES LIKE &#49
//
function htmlspecialchars_ascii_decode($string) {
    return preg_replace_callback(
        "/&#(\d+)/",
        create_function('$matches', 'return chr($matches[1]);' ),
        $string
    );
}


?>
