<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */


/**
 * Smarty {is_template} function plugin
 *
 * Type:     function
 * Name:     is_template
 * Date:     Jan 07, 2006
 * Purpose:  check for exist template
 * @author   Igor Shatokhin (igshat@gawab.com)
 * @version  1.0
 * @param array
 * @param Smarty
 */
function smarty_function_is_template($params, &$smarty)
{
    if( empty($params['file']) )                                           // check for exist template with $params['file'] name
    {
        $smarty->trigger_error("is_template: empty \"file\" parameter", E_USER_NOTICE);
        return false;
    }
    if( empty($params['assign']) )  $params['assign'] = 'is_template';     // save result to variable

    is_file($smarty->template_dir.$params['file'])  ?
        $smarty->assign($params['assign'], $params['file'])
    :   $smarty->assign($params['assign'], false);
}

/* vim: set expandtab: */

?>
