<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */

/**
 * Smarty highlight modifier plugin
 *
 * Type:     modifier<br>
 * Name:     highlight<br>
 * Purpose:  highlight all matches in sting (for search results)<br>
 * Input:<br>
 *         - string: input string
 *         - search: searched substring
 *         - style: style for highlighting
 *
 * @author Igor Shatokhin
 * @link http://www.seostart.com
 *
 * @param string
 * @param string
 * @param string
 * @return string|void
 */
function smarty_modifier_highlight($string, $search, $style='color:white;background-color:navy;')
{
    $srch = "/(".preg_quote($search,'/').")/i";
    $rep = "<span style=\"".$style."\">$1</span>";

    return preg_replace($srch, $rep, $string);
}

/* vim: set expandtab: */

?>
