<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */


/**
 * Smarty mb_upper modifier plugin
 *
 * Type:     modifier<br>
 * Name:     mb_upper<br>
 * Purpose:  onvert string to uppercase (you can specify the encoding of string).
 *           strtoupper() function will be called if "Multibyte String Functions"
 *           extension is not installed
 * Author:   Igor Shatokhin (igshat@gawab.com)
 *
 * @param string
 * @param encoding
 * @return string
 */
function smarty_modifier_mb_upper($string, $encoding='')
{
    if( defined('MB_OVERLOAD_STRING') ) // check for needed PHP-extension
    {
        if( $encoding ) return mb_strtoupper($string, $encoding);
        else            return mb_strtoupper($string);
    }
    else return strtoupper($string);
}

?>
